- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MAnimCurveClipboardItemArray Class Reference

# OpenMayaAnim - API module for animation

Search for all occurrences

## Detailed Description

Array of MAnimCurveClipboardItem data type.

This class implements an array of MAnimCurveClipboardItems. Common convenience functions are available, and the implementation is compatible with the internal Maya implementation so that it can be passed efficiently between plugins and internal maya data structures.

Examples:

  animFileUtils.cpp.

`#include <MAnimCurveClipboardItemArray.h>`

List of all members.

## Public Member Functions
| MAnimCurveClipboardItemArray ()
| Default Constructor.
| MAnimCurveClipboardItemArray (const MAnimCurveClipboardItemArray &other)
| Copy Constructor.
| ~MAnimCurveClipboardItemArray ()
| Class Destructor.
const MAnimCurveClipboardItem & | operator[] (unsigned int index) const
| Index operator.
MStatus | set (const MAnimCurveClipboardItem &element, unsigned int index)
| Sets the value of the indicated element to the indicated MAnimCurveClipboardItem value.
unsigned int | length () const
| Returns the number of elements in the instance.
MStatus | remove (unsigned int index)
| Remove the array element at the given index.
MStatus | insert (const MAnimCurveClipboardItem &element, unsigned int index)
| Inserts a new value into the array at the given index.
MStatus | append (const MAnimCurveClipboardItem &element)
| Adds a new element to the end of the array.
MStatus | clear ()
| Clear the contents of the array.
void | setSizeIncrement (unsigned int newIncrement)
| Set the size by which the array will be expanded whenever expansion is necessary.
unsigned int | sizeIncrement () const
| Return the size by which the array will be expanded whenever expansion is necessary.
bool | isValid (unsigned int &failedIndex) const
| Ensures that the MAnimCurveClipboard items in the array make sense.
| MAnimCurveClipboardItemArray (const MAnimCurveClipboardItem src[], unsigned int count)
| NO SCRIPT SUPPORT.
MStatus | get (MAnimCurveClipboardItem array[]) const
| NO SCRIPT SUPPORT.
MAnimCurveClipboardItem & | operator[] (unsigned int index)
| NO SCRIPT SUPPORT.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Constructor & Destructor Documentation

MAnimCurveClipboardItemArray | ( |  | ) |

Default Constructor.

The instance is set to contain no elements.

MAnimCurveClipboardItemArray | ( | const MAnimCurveClipboardItemArray & | other | ) |

Copy Constructor.

Parameters:

  [in] | other | the array with which to initialize this instance

MAnimCurveClipboardItemArray | ( | const MAnimCurveClipboardItem | src[],
|  | unsigned int | count
| ) |  |

NO SCRIPT SUPPORT.

Create a new array of MAnimCurveClipboardItems and initialize it with the given MAnimCurveClipboardItems elements.

Parameters:

  [in] | src | an array of MAnimCurveClipboardItems
  [in] | count | the number of elements in the src array

## Member Function Documentation

const MAnimCurveClipboardItem & operator[] | ( | unsigned int | index | ) | const

Index operator.

Returns the value of the element at the given index. No range checking is done - valid indices are 0 to length()-1.

Parameters:

  [in] | index | the index of the desired element

Returns:
  A reference to the indicated element

MStatus set | ( | const MAnimCurveClipboardItem & | element,
|  | unsigned int | index
| ) |  |

Search for all occurrences

Sets the value of the indicated element to the indicated MAnimCurveClipboardItem value.

Parameters:

  [in] | element | the new value for the indicated element
  [in] | index | the index of the element that is to be set to the the new value

Returns:
  MS::kSuccess if the value was set successfully and MS::kFailure otherwise

unsigned int length | ( |  | ) | const

Search for all occurrences

Returns the number of elements in the instance.

Returns:
  The number of elements in the instance

Examples:
  animFileUtils.cpp.

MStatus remove | ( | unsigned int | index | ) |

Search for all occurrences

Remove the array element at the given index.

All array elements following the removed element are shifted toward the first element.

Parameters:

  [in] | index | index of the element to be removed

Returns:
  MS::kSuccess if the remove was successful and MS::kFailure otherwise

MStatus insert | ( | const MAnimCurveClipboardItem & | element,
|  | unsigned int | index
| ) |  |

Search for all occurrences

Inserts a new value into the array at the given index.

The initial element at that index, and all following elements, are shifted towards the last. If the array cannot be expanded in size by 1 element, then the insert will fail and the existing array will remain unchanged.

Parameters:

  [in] | element | the new value to insert into the array
  [in] | index | the index of the element to set to the the new value

Returns:
  MS::kSuccess if the insert was successful and MS::kFailure otherwise

MStatus append | ( | const MAnimCurveClipboardItem & | element | ) |

Search for all occurrences

Adds a new element to the end of the array.

If the array cannot be expanded in size by 1 element, then the append will fail and the existing array will remain unchanged.

Parameters:

  [in] | element | the value for the new last element

Returns:
  MS::kSuccess if the append was successful and MS::kFailure otherwise

Examples:
  animFileUtils.cpp.

MStatus clear | ( |  | ) |

Search for all occurrences

Clear the contents of the array.

After this operation the length method will return 0. This does not change the amount of memory allocated to the array, only the number of valid elements in it.

Returns:
  MS::kSuccess the operation is successful and MS::kFailure otherwise

void setSizeIncrement | ( | unsigned int | newIncrement | ) |

Search for all occurrences

Set the size by which the array will be expanded whenever expansion is necessary.

Parameters:

  [in] | newIncrement | the new increment

unsigned int sizeIncrement | ( |  | ) | const

Search for all occurrences

Return the size by which the array will be expanded whenever expansion is necessary.

Returns:
  The size increment.

bool isValid | ( | unsigned int & | failedIndex | ) | const

Search for all occurrences

Ensures that the MAnimCurveClipboard items in the array make sense.

Parameters:

  [in] | failedIndex | The failed index value

Returns:
  true if the clipboard item array is valid, and false otherwise

MStatus get | ( | MAnimCurveClipboardItem | array[] | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Copy the elements of the array into the given array of MAnimCurveClipboardItems.

No checking is done to ensure that the destination array of MAnimCurveClipboardItems is large enough to hold all the elements of the instance.

Parameters:

  [in] | array | the array to populate

Returns:
  MS::kSuccess if the array argument is a non-zero pointer and MS::kFailure otherwise

MAnimCurveClipboardItem & operator[] | ( | unsigned int | index | ) |

NO SCRIPT SUPPORT.

Index operator allowing assignment to an element of the array.

Returns a reference to the element at the given index. No range checking is done - valid indices are 0 to length()-1.

Parameters:

  [in] | index | the index of the desired element

Returns:
  A reference to the indicated element

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray
MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray MAnimCurveClipboardItemArray